Trade tape

Returns a paginated list of trades that have occurred on the exchange. Default page size is 100, maximum is 5000. The `side` field in the response indicates the taker side of the trade. ### Example ```http GET /trades?market=BTC-USD-PERP&page_size=100 ``` This endpoint supports cursor-based pagination for efficiently traversing large result sets.

Query parameters

cursorstringOptional

Returns the ‘next’ paginated page.

end_atintegerOptional

End Time (unix time millisecond)

marketstringRequired
Market name
page_sizeintegerOptional1-1000Defaults to 100
Limit the number of responses in the page
start_atintegerOptional

Start Time (unix time millisecond)

Response

OK
nextstring

The pointer to fetch next set of records (null if there are no records left)

prevstring

The pointer to fetch previous set of records (null if there are no records left)

resultslist of objects
Array of paginated results

Errors

400
Bad Request Error